Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSoundSystem Class Reference

`#include <deSound.hpp>`

Inheritance diagram for IdeSoundSystem:

[legend]
Collaboration diagram for IdeSoundSystem:

[legend]
List of all members.

## Public Types
enum | interface_t { iface_IdeSoundSystem, iface_DirectSound, iface_EAX, iface_32Bit = 0x7fffffff }
## Public Member Functions
virtual void * | GetInterface (int interface_id)=0
virtual deBoolean | Initialize (HWND hWnd)=0
virtual void | Destroy ()=0
virtual IdeSoundBuffer * | CreateSoundBuffer (IdeSoundData *sndData)=0
virtual float | GetRollOffFactor ()=0
virtual float | GetDopplerFactor ()=0
virtual float | GetDistanceFactor ()=0
virtual void | SetRollOffFactor (float factor)=0
virtual void | SetDopplerFactor (float factor)=0
virtual void | SetDistanceFactor (float factor)=0
virtual deBoolean | GetListenerPosition (float *x, float *y, float *z)=0
virtual deBoolean | GetListenerPosition (deVec3d *pos)=0
virtual deBoolean | GetListenerVelocity (float *x, float *y, float *z)=0
virtual deBoolean | GetListenerVelocity (deVec3d *vel)=0
virtual deBoolean | GetListenerOrientation (float *Fx, float *Fy, float *Fz, float *Tx, float *Ty, float *Tz)=0
virtual deBoolean | GetListenerOrientation (deVec3d *Front, deVec3d *Top)=0
virtual void | SetListenerPosition (float x, float y, float z)=0
virtual void | SetListenerPosition (deVec3d pos)=0
virtual void | SetListenerVelocity (float x, float y, float z)=0
virtual void | SetListenerVelocity (deVec3d vel)=0
virtual void | SetListenerOrientation (float Fx, float Fy, float Fz, float Tx, float Ty, float Tz)=0
virtual void | SetListenerOrientation (deVec3d Front, deVec3d Top)=0
## Protected Member Functions
virtual | ~IdeSoundSystem ()

## Member Enumeration Documentation

enum IdeSoundSystem::interface_t

  | Enumeration values:
  iface_IdeSoundSystem |
  iface_DirectSound |
  iface_EAX |
  iface_32Bit |

## Constructor & Destructor Documentation

virtual IdeSoundSystem::~IdeSoundSystem | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual IdeSoundBuffer* IdeSoundSystem::CreateSoundBuffer | ( | IdeSoundData * | sndData | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::Destroy | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual float IdeSoundSystem::GetDistanceFactor | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual float IdeSoundSystem::GetDopplerFactor | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void* IdeSoundSystem::GetInterface | ( | int | interface_id | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerOrientation | ( | deVec3d * | Front,
|  | deVec3d * | Top
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerOrientation | ( | float * | Fx,
|  | float * | Fy,
|  | float * | Fz,
|  | float * | Tx,
|  | float * | Ty,
|  | float * | Tz
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerPosition | ( | deVec3d * | pos | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerPosition | ( | float * | x,
|  | float * | y,
|  | float * | z
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerVelocity | ( | deVec3d * | vel | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::GetListenerVelocity | ( | float * | x,
|  | float * | y,
|  | float * | z
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual float IdeSoundSystem::GetRollOffFactor | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual deBoolean IdeSoundSystem::Initialize | ( | HWND | hWnd | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetDistanceFactor | ( | float | factor | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetDopplerFactor | ( | float | factor | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerOrientation | ( | deVec3d | Front,
|  | deVec3d | Top
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerOrientation | ( | float | Fx,
|  | float | Fy,
|  | float | Fz,
|  | float | Tx,
|  | float | Ty,
|  | float | Tz
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerPosition | ( | deVec3d | pos | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerVelocity | ( | deVec3d | vel | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetListenerVelocity | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

virtual void IdeSoundSystem::SetRollOffFactor | ( | float | factor | ) | `[pure virtual]`

| Implemented in IdeSoundSystem_DS.

The documentation for this class was generated from the following file:

- deSound.hpp